본문 바로가기

테크,팁,정보/기타

[게임] 스타크래프트 storm_error_require_upgrade 에러 해결


※ 요약

오랜만에 스타크래프트 브루드워를 하려고 배틀넷에서 정식 다운로드 하고 설치하니 버전이 1.15.2 버전이었다. 16년 7월 8일 기준 최신은 1.16.2 버전. 업데이트를 진행하고 재시작해도 아래와 같이 STORM_ERROR_REQUIRES_UPGRADE 메시지가 뜨며 업그레이드가 되지를 않았다.



※ 해결 방법

해결 방법은 간단하다. 아래와 같이 관리자 권한으로 실행을 하면 된다. 이 문제가 발생하는 이유는 스타크래프트는 기본 설치 경로가 C드라이브이고, C드라이브에서 파일을 쓰거나 수정, 삭제를 할때는 관리자 권한이 필요하기 때문이다. 이 개념(사용자 접근 제한=UAC)은 윈도우 비스타부터 적용된 개념이다.